#include<bits/stdc++.h>

using namespace std;

int n;
vector<pair<double, double>> fri;
long double part[2000005];
long double arr[2000005];

bool sortiraj(pair<double,double> a,pair<double,double> b)
{
    return (a.second<b.second);
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin>>n;

    for (int i=0;i<n;i++)
    {
        double a;
        double p;
        cin>>a>>p;

        fri.push_back(make_pair(a,p/100));
    }

    sort(fri.begin(),fri.end(),sortiraj);


    part[0]=fri[0].first;
    for (int i=1;i<n;i++)
    {
        part[i]=part[i-1]+fri[i].first;
    }

    long double suma=(part[n-1]);
    arr[0]=((long double)fri[0].second*(long double)suma)*1.0000;

    for (int i=1;i<n;i++)
    {
        arr[i]=(long double)fri[i].second*(long double)suma-(long double)fri[i].second*(long double)part[i-1];
        //cout<<setprecision(10)<<arr[i]<<" ";
    }

    /*for (int i=0;i<n;i++)
    {
        cout<<arr[i]<<" ";
    }*/

    double maxx=0.00;

    for (int i=0;i<n;i++)
    {
        if (arr[i]>maxx) maxx=arr[i];
    }

    cout<<setprecision(12)<<maxx;

    return 0;
}